{% if ldap_connect is defined %}
    <p>Error ! Your server does not support LDAP </p>
{% endif %}
{% autoescape false %}
<!doctype html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <title>Communication multicanal - {{ title }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Plateforme de communication multicanal Gironde Num&eacute;rique">
    <meta name="author" content="Gironde Num&eacute;rique">
    <link type="image/png" rel="icon" sizes="96x96" href="{{ domain }}/resources/img/girnum.ico" />
    <script type="application/json" data-selector="gn-settings-json">{{ gnSettings|default([])|json_encode() }}</script>
    <script>
        (global =>  {
                var settingsElement = document.querySelector('head > script[type="application/json"][data-selector="gn-settings-json"], body > script[type="application/json"][data-selector="gn-settings-json"]');
                global.gnSettings = {};

                if (settingsElement !== null) {
                    global.gnSettings = JSON.parse(settingsElement.textContent);
                }
        })(window);
    </script>
    {% if oidc_connexion_enabled and not errorCode %}
    <script>
        (checkSSOConnexionIframe = (settings) => {
            const ssoIframeType = settings.isUserLogged ? 'refresh-sso' : 'check-sso';
            const checkSSOIframe = Object.assign(document.createElement('iframe'), {
                id: 'checkSSOConnectionIframe',
                width: 0,
                height: 0,
                frameborder: 0,
                style: "width: 0; height: 0; border: 0; border: none; position: absolute; visibility: hidden;",
                src: '/action/' + ssoIframeType
            });
            document.head.appendChild(checkSSOIframe);
        })(window.gnSettings);
    </script>
    {% endif %}

    <link rel="stylesheet" href="/assets/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" href="/assets/bootstrap-table/dist/bootstrap-table.min.css" />
    <link rel="stylesheet" href="/assets/fontawesome/css/all.min.css" />
    <link rel="stylesheet" href="/assets/dsfr/dist/dsfr.min.css" />
    <link rel="stylesheet" href="/assets/dsfr/dist/utility/utility.min.css" />
    <link type="text/css" rel="stylesheet" href="{{ domain }}/resources/css/style.css" />
    {% block style %}{% endblock %}
</head>

<body>
    <header role="banner" class="fr-header">
        <div class="fr-header__body">
            <div class="fr-container">
                <div class="fr-header__body-row">
                    <div class="fr-header__brand">
                        <div class="fr-header__brand-top">
                            <div class="fr-header__logo">
                                <p class="gn-logo"></p>
                            </div>
                            <div class="fr-header__navbar">
                                <button class="fr-btn--menu fr-btn" data-fr-opened="false"
                                    aria-controls="modal-main-menu" aria-haspopup="menu" title="Menu"
                                    id="fr-btn-menu-mobile">
                                    Menu
                                </button>
                            </div>
                        </div>
                        <div class="fr-header__service">
                            <p class="fr-header__service-title">Communication</p>
                            <p class="fr-header__service-tagline">Plateforme de communication multicanal</p>
                        </div>
                    </div>
                    <div class="fr-header__tools">
                        <div class="fr-header__tools-links">
                            <ul class="fr-btns-group">
                                {% if user %}
                                    <li><span class="fr-btn">{{ user.firstname }} {{ user.lastname }}<br />({{ user.email }})</span></li>
                                    <li><a class="fr-btn fr-icon-logout-box-r-line" href="{{ domain }}/action/logout">D&eacute;connexion</a></li>
                                {% elseif title != 'Connexion' %}
                                    <li><a class="fr-btn fr-icon-lock-line" href="{{ domain }}/connexion">Se connecter</a></li>
                                {% endif %}
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Navigation principale -->
        <div class="fr-header__menu fr-modal" id="modal-main-menu" aria-labelledby="fr-btn-menu-mobile">
            <div class="fr-container">
                <button class="fr-btn--close fr-btn" aria-controls="modal-main-menu">Fermer</button>
                <div class="fr-header__menu-links"></div>
                <nav class="fr-nav" id="navigation-main-menu" role="navigation" aria-label="Menu principal">
                    <ul class="fr-nav__list">
                        {% if user %}
                            {% if user.rank.value is constant('Multicanal\\Entity\\Enum\\Rank::ADMINGN') %}
                                <li class="fr-nav__item">
                                    <a class="fr-nav__link" href="{{ domain }}/administration" target="_self">Administration</a>
                                </li>
                                <li class="fr-nav__item">
                                    <a class="fr-nav__link" href="{{ domain }}/api" target="_self">Documentation API</a>
                                </li>
                                <li class="fr-nav__item">
                                    <a class="fr-nav__link" href="{{ domain }}/collectivite" target="_self">Ma
                                        collectivit&eacute;</a>
                                </li>
                            {% endif %}
                            {% if externalAuthentication or user.rank.value is constant('Multicanal\\Entity\\Enum\\Rank::ADMIN') %}
                                <li class="fr-nav__item">
                                    <a class="fr-nav__link" href="{{ domain }}/collectivite" target="_self">Ma
                                        collectivit&eacute;</a>
                                </li>
                            {% endif %}
                            <li class="fr-nav__item">
                                <a class="fr-nav__link" href="{{ domain }}/informations" target="_self">Mes informations</a>
                            </li>
                            <li class="fr-nav__item">
                                <a class="fr-nav__link" href="{{ domain }}/contenus" target="_self">Mes contenus</a>
                            </li>
                        {% endif %}
                    </ul>
                </nav>
            </div>
        </div>
    </header>
    <main role="main">
        <div class="fr-container">
            <div class="fr-grid-row">
                <div class="fr-col-12">
                    {% if breadcrumb|length > 0 %}
                        <nav role="navigation" class="fr-breadcrumb" aria-label="Vous &ecirc;tes ici :">
                            <button class="fr-breadcrumb__button" aria-expanded="false" aria-controls="breadcrumb">Voir le
                                fil d’Ariane</button>
                            <div class="fr-collapse" id="breadcrumb">
                                <ol class="fr-breadcrumb__list">
                                    <li><a href="{{ domain }}/" class="fr-breadcrumb__link">Accueil</a></li>
                                    {% for url, path in breadcrumb %}
                                        <li>
                                            <a class="fr-breadcrumb__link" {% if url=='#' %} aria-current="page" {% else %} href="{{ url }}" {% endif %}>{{ path }}</a>
                                        </li>
                                    {% endfor %}
                                </ol>
                            </div>
                        </nav>
                    {% else %}
                        <div class="fr-p-4w">&nbsp;</div>
                    {% endif %}
                </div>
                {% include 'message.html' %}
                {% block content %}{% endblock %}
            </div>
        </div>
    </main>
    <footer class="fr-footer fr-mt-3w" role="contentinfo" id="footer">
        <div class="fr-container">
            <div class="fr-footer__body">
                <div class="fr-footer__brand fr-enlarge-link">
                    <a href="{{ domain }}" title="Retour &agrave; l'accueil">
                        <p class="fr-logo" title="Gironde Num&eacute;rique">
                            Gironde Num&eacute;rique
                        </p>
                    </a>
                </div>
                <div class="fr-footer__content">
                    <p class="fr-footer__content-desc">Plateforme de communication multicanal, un service du syndicat
                        mixte Gironde Num&eacute;rique</p>
                    <ul class="fr-footer__content-list">
                        <li class="fr-footer__content-item">
                            <a class="fr-footer__content-link" href="https://girondenumerique.fr/contact">Nous
                                contacter</a>
                        </li>
                        <li class="fr-footer__content-item">
                            <a class="fr-footer__content-link" href="{{ domain }}/mentions-legales">Mentions l&eacute;gales</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="fr-footer__bottom">
            </div>
        </div>
    </footer>
    <dialog id="gnSubmitFeedbackModal" class="fr-modal" role="dialog" aria-labelledby="gnSubmitFeedbackModal-title"
        data-fr-concealing-backdrop="false">
        <div class="fr-container fr-container--fluid fr-container-md">
            <div class="fr-grid-row fr-grid-row--center">
                <div class="fr-col-12 fr-col-md-4">
                    <div class="fr-modal__body">
                        <div class="fr-modal__header">
                            <div class="fr-pt-4w"></div>
                        </div>
                        <div class="fr-modal__content fr-mr-2v">
                            <h1 id="gnSubmitFeedbackModal-title" class="fr-modal__title">
                                <span class="gn-spinner fr-mr-2v" role="status" aria-hidden="true"></span>
                                Action en cours d'ex&eacute;cution
                            </h1>
                            <p>Merci de patienter quelques secondes.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </dialog>
    <noscript>
        <style type="text/css">
            main {
                display: none;
            }

            noscript {
                order: -1;
                height: 100%;
            }
        </style>
        <div class="fr-container">
            <div class="fr-grid-row fr-grid-row--center fr-grid-row--middle" style="height:100%">
                <div class="fr-col-12 fr-col-md-10 fr-col-lg-8">
                    <div role="alert" class="fr-alert fr-alert--warning fr-mt-4w">
                        <p class="fr-alert__title">Veuillez activer JavaScript dans les pr&eacute;f&eacute;rences de
                            votre
                            navigateur pour acc&egrave;der &agrave; cette page.</p>
                    </div>
                </div>
            </div>
        </div>
    </noscript>
    <script>
        // Options disponibles à l'initialisation du DSFR
        window.dsfr = {
            verbose: false,
            production: gnSettings.env.production,
            mode: 'runtime'
        };
    </script>
    <script type="module" src="/assets/dsfr/dist/dsfr.module.min.js"></script>
    <script nomodule src="/assets/dsfr/dist/dsfr.nomodule.min.js"></script>
    <script src="/assets/jquery/jquery.min.js"></script>
    <script src="/assets/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script type="text/javascript" src="{{ domain }}/resources/javascript/girnum.js{{ assets_cache_busting }}"></script>
    <script type="text/javascript" src="{{ domain }}/resources/javascript/main.js{{ assets_cache_busting }}"></script>
    <script type="text/javascript" src="{{ domain }}/resources/javascript/multicanal.js{{ assets_cache_busting }}"></script>

    {% block script %}{% endblock %}

    </body>
</html>
{% endautoescape %}
